# Uses of Class
org.opensaml.xmlsec.algorithm.AlgorithmRegistry

Packages that use AlgorithmRegistry
Package
Description
org.opensaml.saml.metadata.resolver.filter.impl
Implementation of Metadata Filters.
org.opensaml.xmlsec.algorithm
Configuration and support classes for security algorithms.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.

## Uses of AlgorithmRegistry in org.opensaml.saml.metadata.resolver.filter.impl

Fields in org.opensaml.saml.metadata.resolver.filter.impl declared as AlgorithmRegistry
Modifier and Type
Field
Description
`private AlgorithmRegistry`
AlgorithmFilter.`registry`
Registry for sanity checking algorithms.

## Uses of AlgorithmRegistry in org.opensaml.xmlsec.algorithm

Methods in org.opensaml.xmlsec.algorithm that return AlgorithmRegistry
Modifier and Type
Method
Description
`static AlgorithmRegistry`
AlgorithmSupport.`ensureGlobalAlgorithmRegistry()`
Get the global `AlgorithmRegistry` instance, raising an exception if absent.
`static AlgorithmRegistry`
AlgorithmSupport.`getGlobalAlgorithmRegistry()`
Get the global `AlgorithmRegistry` instance.

## Uses of AlgorithmRegistry in org.opensaml.xmlsec.impl

Fields in org.opensaml.xmlsec.impl declared as AlgorithmRegistry
Modifier and Type
Field
Description
`private AlgorithmRegistry`
BasicEncryptionParametersResolver.`algorithmRegistry`
The AlgorithmRegistry used when processing algorithm URIs.
`private AlgorithmRegistry`
BasicSignatureSigningParametersResolver.`algorithmRegistry`
The AlgorithmRegistry used when processing algorithm URIs.
`private AlgorithmRegistry`
AlgorithmRuntimeSupportedPredicate.`registry`
The algorithm registry instance.
Methods in org.opensaml.xmlsec.impl that return AlgorithmRegistry
Modifier and Type
Method
Description
`AlgorithmRegistry`
BasicEncryptionParametersResolver.`getAlgorithmRegistry()`
Get the `AlgorithmRegistry` instance used when resolving algorithm URIs.
`AlgorithmRegistry`
BasicSignatureSigningParametersResolver.`getAlgorithmRegistry()`
Get the `AlgorithmRegistry` instance used when resolving algorithm URIs.
Methods in org.opensaml.xmlsec.impl with parameters of type AlgorithmRegistry
Modifier and Type
Method
Description
`void`
BasicEncryptionParametersResolver.`setAlgorithmRegistry(AlgorithmRegistry registry)`
Set the `AlgorithmRegistry` instance used when resolving algorithm URIs.
`void`
BasicSignatureSigningParametersResolver.`setAlgorithmRegistry(AlgorithmRegistry registry)`
Set the `AlgorithmRegistry` instance used when resolving algorithm URIs.
Constructors in org.opensaml.xmlsec.impl with parameters of type AlgorithmRegistry
Modifier
Constructor
Description
``
`AlgorithmRuntimeSupportedPredicate(AlgorithmRegistry algorithmRegistry)`
Constructor.